# Intents

An **intent** represents a signed request to execute an action in Ripple Custody. For the request structure, standard fields, dry-run flow, and example payloads, see [Intent structure](intent-structure.md).

 - [POST /v1/intents](https://docs.ripple.com/pt-br/products/custody/v1.15/api/reference/openapi/intents/createintent.md)
 - [POST /v1/intents/approve](https://docs.ripple.com/pt-br/products/custody/v1.15/api/reference/openapi/intents/approveintent.md)
 - [POST /v1/intents/reject](https://docs.ripple.com/pt-br/products/custody/v1.15/api/reference/openapi/intents/rejectintent.md)
 - [GET /v1/domains/{domainId}/intents](https://docs.ripple.com/pt-br/products/custody/v1.15/api/reference/openapi/intents/getintents.md)
 - [GET /v1/domains/{domainId}/intents/{intentId}](https://docs.ripple.com/pt-br/products/custody/v1.15/api/reference/openapi/intents/getintent.md)
 - [GET /v1/domains/{domainId}/intents/{intentId}/remaining-users](https://docs.ripple.com/pt-br/products/custody/v1.15/api/reference/openapi/intents/getremainingusers.md): This API operation will return the remaining user IDs able to approve for the currently open step of the intent approval process.
 - [POST /v1/intents/dry-run](https://docs.ripple.com/pt-br/products/custody/v1.15/api/reference/openapi/intents/intentdryrun.md)
